<?php

declare(strict_types=1);

namespace App\Http\Requests\Uploads;

use Illuminate\Foundation\Http\FormRequest;

final class UploadInitRequest extends FormRequest
{
    public function authorize(): bool
    {
        return (bool) $this->user();
    }

    public function rules(): array
    {
        return [
            'client' => 'nullable|string|max:64',
        ];
    }
}
